Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class FolderIndexAnalyzerAgent

    java.lang.Object
      oracle.ifs.core.runtime.Server
          oracle.ifs.core.runtime.IfsServer
              oracle.ifs.core.runtime.ClusteredServer
                  oracle.ifs.core.agents.BaseAgent
                      oracle.ifs.core.agents.FolderIndexAnalyzerAgent

All Implemented Interfaces:
  ServerInterface, TimerContext

    public class FolderIndexAnalyzerAgent

extends BaseAgent

FolderIndexAnalyzerAgent is used to make sure FRQ searches are fast in a iFS instance whose contents are regularly changing. It analyzes the folder index table periodically and promotes suitable folders to one level higher than their original level.

(Unpublished)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.runtime.IfsServer
`IfsServer.ServerRequest`

Field Summary

Fields inherited from class oracle.ifs.core.agents.BaseAgent
`ERROR_COUNT_CUMULATIVE, ERROR_COUNT_LAST_ACTIVATION`

Fields inherited from class oracle.ifs.core.runtime.ClusteredServer
`REQUESTTYPE_CHECK_REGISTRATION, REQUESTTYPE_FORCE_CHECK_REGISTRATION`

Fields inherited from class oracle.ifs.core.runtime.Server
`LEVEL_HIGH, LEVEL_LOW, LEVEL_MEDIUM, LEVEL_OFF`

Fields inherited from interface oracle.ifs.core.runtime.ServerInterface
`SERVERSTATUS_DISPOSED, SERVERSTATUS_RUNNING, SERVERSTATUS_STARTING, SERVERSTATUS_STOPPED, SERVERSTATUS_STOPPING, SERVERSTATUS_SUSPENDED, SERVERSTATUS_UNKNOWN`

Constructor Summary
`FolderIndexAnalyzerAgent()` Constructs the FolderIndexAnalyzerAgent.

Method Summary
`protected void` | `activate()` handle the timer expired request.
`void` | `initialize()` Does any one time initialization tasks upon loading.
`boolean` | `isPropertyReadonly(java.lang.String name)` Returns true or false based on the property name and server status.
`static void` | `main(java.lang.String[] args)` This is used to run the FolderIndexAnalyzerAgent in the standalone mode.

Methods inherited from class oracle.ifs.core.agents.BaseAgent
`addToProperty, handleResumeRequest, handleStopRequest, handleSuspendRequest, handleTimerExpired, incrementProperty, initOnRun, isAgent, postRun, publishProperty, run, standardPostRun, supportsSuspendResume`

Methods inherited from class oracle.ifs.core.runtime.ClusteredServer
`cancelRegistration, checkRegistration, deriveAgentIdentifier, deriveRunningServerIdentifier, getAgentIdentifier, getAgentIdentifierPrefix, getRegistrationPeriod, getRunningNodeIdentifier, getRunningNodeName, getRunningServerIdentifier, getRunningServersEnumeration, handleRequest, initializeRegistration, isRegistered, isServerRunning, isTokenNonCompeting, releaseTokenRegistration, requestForcedRegistrationCheck, requestRegistrationCheck`

Methods inherited from class oracle.ifs.core.runtime.IfsServer
`checkSession, connectSession, constructSession, convertTimerInterval, convertTimerInterval, convertTimerInterval, dispose, getLastTimerActivation, getNextTimerActivation, getService, getTimerActivationPeriod, getTimerClassName, getTimerConfiguration, handlePriorityChangeRequest, handlePropertyChangeRequest, handlePropertyChangeRequest, handleRequests, isTimerActive, postRequest, preRun, processEvent, processEvents, queueEvent, resetTimer, restart, resume, setPriority, setProperty, setProperty, start, startTimer, stop, stopRequested, stopTimer, suspend, timerExpired, waitServer`

Methods inherited from class oracle.ifs.core.runtime.Server
`acquireSession, constructLibrarySessionPool, createServerState, deregister, disconnectSession, getConfigurationOverridesTable, getConfigurationTable, getCredential, getDesiredStatus, getIfsHome, getInitialConfigurationTable, getLoggerForLegacyLogging, getName, getNode, getNodeName, getOracleHome, getParameterTable, getPriority, getProperties, getProperty, getServerConfigurationName, getServerState, getServerStateValue, getServerType, getServiceName, getSession, getStateTable, getStatus, getSystemUserCredential, handleServerConfigurationOverrideRequest, handleServerStateEvent, initialize, initialize, isDisposed, isInitialized, isLogged, log, log, log, postAuditEvent, releaseSession, releaseSession, setDesiredStatus, setDesiredStatus, setSessionTimeoutPrevented, setStateProperty, setStatus, startStandalone, startStandalone, supportsPriority, toStatusLabel, toStatusLabel, toStatusLabel, verifyNotDisposed, verifyNotDisposed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FolderIndexAnalyzerAgent

    public FolderIndexAnalyzerAgent()
                             throws IfsException

  Constructs the FolderIndexAnalyzerAgent.

  Throws:
    `IfsException` - (IFS-46000) if the operation fails
  (Unpublished)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Description copied from class: `FolderIndexAnalyzerAgent`
  This is used to run the FolderIndexAnalyzerAgent in the standalone mode.

  Throws:
    `java.lang.Exception`

### initialize

    public void initialize()
                    throws java.lang.Exception

  Description copied from class: `FolderIndexAnalyzerAgent`
  Does any one time initialization tasks upon loading.

  Overrides:
    `initialize` in class `BaseAgent`
  Throws:
    `IfsException` - (IFS-46xxx) if the operation fails
    `java.lang.Exception` - if the operation fails
  (Published)

### activate

    protected void activate()
                     throws IfsException

  Description copied from class: `FolderIndexAnalyzerAgent`
  handle the timer expired request. Call analyze();

  Overrides:
    `activate` in class `BaseAgent`
  Throws:
    `IfsException` - if operation fails
  (Published)

### isPropertyReadonly

    public boolean isPropertyReadonly(java.lang.String name)
                               throws IfsException

  Description copied from class: `FolderIndexAnalyzerAgent`
  Returns true or false based on the property name and server status.

  Specified by:
    `isPropertyReadonly` in interface `ServerInterface`
  Overrides:
    `isPropertyReadonly` in class `ClusteredServer`
  Parameters:
    `name` - name of the property
  Returns:
    true if property is readonly based on current server status; false otherwise
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD